package ru.dbotthepony.mc.otm.client.render

import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters
import ru.dbotthepony.mc.otm.client.render.sprites.GridAtlas
import ru.dbotthepony.mc.otm.util.ResourceLocation

object Widgets8 {
	private val GRID = WidgetLocation.WIDGET_8.grid(columns = 8, rows = 4)

	val BUTTON_IDLE = GRID[0, 0]
	val BUTTON_HOVERED = GRID[0, 1]
	val BUTTON_PRESSED = GRID[0, 2]
	val BUTTON_DISABLED = GRID[0, 3]

	val BUTTON_IDLE_STRETCHABLE = GRID.makeButton(2f, 0, 0)
	val BUTTON_HOVERED_STRETCHABLE = GRID.makeButton(2f, 0, 1)
	val BUTTON_PRESSED_STRETCHABLE = GRID.makeButton(2f, 0, 2)
	val BUTTON_DISABLED_STRETCHABLE = GRID.makeButton(2f, 0, 3)

	val WHITE_ARROW_DOWN = GRID[1, 0]
	val S = GRID[2, 0]
	val F = GRID[3, 0]
	val E = GRID[4, 0]
	val ONE = GRID[5, 0]

	val ARROW_SIDEWAYS = GRID[1, 1]
	val ARROW_PAINTED_UP = GRID[1, 2]
	val MINUS = GRID[1, 3]

	val EXOPACK_SHOWN = GRID[2, 1]
	val EXOPACK_HIDDEN = GRID[3, 1]
	val EXOPACK_COLOR = GRID[4, 1]
}
